Bug 88226 - Network configuration exception
Network configuration exception
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-07 17:19 EDT by Casper
Modified: 2007-04-18 12:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-04 05:51:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dumpfile Red Hat created after "Network Adapters Configuration" window (1.90 KB, text/plain)
2003-04-07 17:21 EDT, Casper
no flags Details

  None (edit)
Description Casper 2003-04-07 17:19:34 EDT
Description of problem:

When selecting one of the two network cards in the Network Configuration
application, and pressing Edit... to make the Network Adapters Configuration
window pop up, and unhandled exception occurs.

Version-Release number of selected component (if applicable): the most recent,
since I just (7th April 2003) ran up2date and downloaded and installed all
software (kernel level 2.4.18-27.7.x).


How reproducible: Depends if you have the right cards (if it's a hardware issue
of course).


Steps to Reproduce:
1. Insert two network adapters in an i386 clone (3Com 3c590/3c595/3c90x and
RealTek RTL-8139 SMC EZ). Attach the RealTek to a W2K laptop using a
cross-cable. Don't plug a network card in the 3Com adapter.
2. Manually load the module for the RealTek adpter (modprobe 8139too).
3. Go to Programs | System | Network Configuration, select the RealTek Ethernet
card (eth0), and press Edit...
    
Actual results: The Network Adapters Configuration window appears, and right
after that a window labeled "Exception Occured".

Expected results: Only the Network Adapters Configuration window, without the
error message.


Additional info: Even though the RealTek card is labeled eth0 (the
/etc/modules.conf file has an entry "alias eth0 8139too"), the ifconfig output
shows this card as eth1 (which in fact is the 3Com card). I'm not sure where
ifconfig retrieves this information (I'm really too new to Red Hat).
Comment 1 Casper 2003-04-07 17:21:39 EDT
Created attachment 90978 [details]
Dumpfile Red Hat created after  "Network Adapters Configuration" window
Comment 2 Casper 2003-04-07 17:43:43 EDT
I rebooted my PC, hoping the problem would go away (I have a Microsoft
background). Unfortunately it didn't. 

While both adapters have the "Activate device when computer starts" button
selected, only adapter eth1 fails to started (it has no cable in it, so this
seems OK). However, when entering an ifconfig on the command line after logging
on using the root account, eth0 doesn't show either, but just the lo interface.
Explicitly loading eth0 with "modprobe 8139too" again shows eth1 in the ifconfig
output (instead of the expected eth0). The "Exception Occured" window still
appears after this, also when pressing the Edit... button for the 3Com card.
Comment 3 Harald Hoyer 2003-04-07 18:36:48 EDT
get the 7.3 update from
http://people.redhat.com/harald/redhat-config-network
Comment 4 Harald Hoyer 2004-06-04 05:51:09 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.